The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cwd object version 3.08 does not match $Cwd::VERSION 3.06. (BUG in PRO !!BETA!!)

Discussion in 'General Discussion' started by randyvalpobb, Jun 15, 2005.

  1. randyvalpobb

    randyvalpobb BANNED

    Joined:
    Jun 8, 2005
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    0
    : virtual_boxtrapper_user
    delivery transport output: Cwd object version 3.08 does not match $Cwd::VERSION 3.06.
    2005-06-15 09:38:53 1DiZ2b-0004Ea-JU ** R=virtual_boxtraper_use
    r T=virtual_boxtrapper_userdelivery: Child process of virtual_boxtrapper_userdelivery trans
    port returned 255 (could mean shell command ended by signal 127 (Unknown signal 127)) from


    Has anyone seen this error and how do I fix it. You guys have been great on here

    Thanks
    Randy :confused:
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    You could try forcing an update of the perl module:

    /scripts/perlinstaller --force Cwd

    Which will basically reinstall the PathTools kit. You may then need to force update exim:

    /scripts/updatenow
    /scripts/eximup --force
     
  3. randyvalpobb

    randyvalpobb BANNED

    Joined:
    Jun 8, 2005
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    0
    Would you know of a different solution. I tried what you did and it is still not working. Any more help would be greatly appreciated
     
  4. jackal

    jackal Well-Known Member
    PartnerNOC

    Joined:
    Feb 23, 2002
    Messages:
    708
    Likes Received:
    0
    Trophy Points:
    16
    Same issue looks like it is looking for 3.06 and 3.0.8 is getting installed. I also tried the above fix without any luck.
     
  5. jackal

    jackal Well-Known Member
    PartnerNOC

    Joined:
    Feb 23, 2002
    Messages:
    708
    Likes Received:
    0
    Trophy Points:
    16
    After doing those things run /scripts/upcp --force it fixed our issue.

    Thanks
    chirpy
     
  6. KatieBuller

    KatieBuller BANNED

    Joined:
    May 10, 2005
    Messages:
    65
    Likes Received:
    0
    Trophy Points:
    0
    I am also having trouble with box trapper, I get this error:
    2005-06-30 17:08:14 1Do7Cg-000509-0h <mike@domain.com>: virtual_boxtrapper_userdelivery transport output: (internal) Thu Jun 30 17:08:14 2005 [19237] error: Can't locate auto/POSIX/getpid.al in @INC (@INC contains: /usr/lib/perl5/5.6.2/i686-linux /usr/lib/perl5/5.6.2/i686-linux /usr/lib/perl5/5.6.2 /usr/lib/perl5/site_perl/5.6.2/i686-linux /usr/lib/perl5/site_perl/5.6.2/i686-linux /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl/5.6.2/i686-linux /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl . /usr/lib/perl5/5.6.2/i686-linux /usr/lib/perl5/5.6.2 /usr/lib/perl5/site_perl/5.6.2/i686-linux /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl . /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel) at (eval 2) line 1
    2005-06-30 17:08:14 1Do7Cg-000509-0h => mike <mike@domain.com> R=virtual_boxtraper_user T=virtual_boxtrapper_userdelivery
    2005-06-30 17:15:44 1Do7Jw-0005zy-Eq <= f-r?domain.com-clsjbjahrfblqfdxaldhdfdldkd@bounce.strat.com H=(t5.strat.com) [209.66.67.240] P=smtp S=1808

    Does anyone know fix for this?
     
  7. Nico

    Nico Well-Known Member

    Joined:
    Dec 5, 2001
    Messages:
    233
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Edmond, OK

    This did not work for me as well. Any ideas on alternatives?
     
  8. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    The only method I've seen so far to definitely fix that is a reinstallation of perl from the installer on http://layer1.cpanel.net
     
  9. Nico

    Nico Well-Known Member

    Joined:
    Dec 5, 2001
    Messages:
    233
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Edmond, OK
    Even that did not work for me:

    virtual_boxtrapper_userdelivery transport output: Cwd object version 3.06 does not match $Cwd::VERSION 3.09.


    R=virtual_boxtraper_user T=virtual_boxtrapper_userdelivery: Child process of virtual_boxtrapper_userdelivery transport returned 255 (could mean shell command ended by signal 127 (Unknown signal 127)) from command: /usr/local/cpanel/bin/boxtrapper
     
  10. BianchiDude

    BianchiDude Well-Known Member
    PartnerNOC

    Joined:
    Jul 2, 2005
    Messages:
    619
    Likes Received:
    0
    Trophy Points:
    16
    I am also having this problem.
     
  11. Nico

    Nico Well-Known Member

    Joined:
    Dec 5, 2001
    Messages:
    233
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Edmond, OK
    I finally resolved this by removing and reinstalling Pro from WHM.
     
  12. ruraltowns

    ruraltowns Member

    Joined:
    Apr 20, 2005
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    Boxtrapper Version Error (looking for 3.06, finding 3.09)

    I had this happen BECAUSE I went to the pro and the bleeding edge CP version.

    Didn't like some of the bleeding edge stuff so went back to RELEASE!

    That's when all hell broke loose..........

    IF you force a CP update as suggested in this thread AFTER going back from Pro to Release, update then states when it's running that it is REMOVING all boxtrapper files as it is allready IN the regular CP version now and upgrading to Pro is no longer necessary..........

    Now you have NO boxtrapper or file base at all and you can't put it back manually.........LORDY

    So......after trying everything in this thread and pulling hair out I just WENT BACK to bleeding EDGE and BINGO..........all went back to normal!
    BTW ..IF you were using boxtrapper BEFORE, the new edge places the control for it as a text link in each domain's email function menu now and NOT in each DOMAINS main menu as an icon like before!

    Another QUIRK I found from going UP to edge and BACK to release was httpd.conf in Apache permissions would change so the system could not read the file and errors were thrown all over until I added read permissions about 10 times daily almost.

    That problem now seems to have gone away...................

    Suggestion........DO NOT try the bleeding edge on a production server!!!!!!!!!!!!!!!!!!!!!!
    AND DON'T GO UP AND BACK! It APPEARS you really can't!?

    SOMEWHAT SANE AGAIN NOW................BUT RUNNING ON THE "EDGE" NOW pun......
     
  13. bigbruin

    bigbruin Registered

    Joined:
    Nov 24, 2004
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Same deal happened to me today and I have been on RELEASE forever. A upcp brought down a new version of cPanel Pro, and then this error started.

    Removing and reinstalling cPanel Pro didn't help... now to try some of the other suggestions...

    :(

    EDIT: doing the other things posted by chirpy and jackal did not help. still have the error.

    Anyone else?

    Thanks!
     
    #13 bigbruin, Jul 17, 2005
    Last edited: Jul 17, 2005
  14. delphian

    delphian Member

    Joined:
    Apr 16, 2003
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Same here

    I've got the same issue on 2 servers which are both on STABLE and have been forever. I've tried forcing the update on CWD but it hasn't worked.

    Ideas??

    We're getting this error when you try to send via SMTP. It actually does deliver the message (which means this error message is misleading):

    Code:
    This message was created automatically by mail delivery software.
    
    A message that you sent could not be delivered to one or more of its
    recipients. This is a permanent error. The following address(es) failed:
    
      user@domain.com
        local delivery failed
    
    The following text was generated during the delivery attempt:
    
    ------ user@domain.com ------
    
    Cwd object version 3.06 does not match $Cwd::VERSION 3.09.
     
  15. anand

    anand Well-Known Member

    Joined:
    Nov 11, 2002
    Messages:
    1,435
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    India
    cPanel Access Level:
    DataCenter Provider
    Same error recieved on a centos 3.5, stable. This box has been running stable almost forever.
     
  16. delphian

    delphian Member

    Joined:
    Apr 16, 2003
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    MailScanner

    Are you, by chance, running MailScanner?
     
  17. anand

    anand Well-Known Member

    Joined:
    Nov 11, 2002
    Messages:
    1,435
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    India
    cPanel Access Level:
    DataCenter Provider
    Following seems to have resolved the matter (as mentioned by chirpy)

    Code:
    /scripts/perlinstaller --force Cwd
    /scripts/updatenow
    /scripts/upcp --force
    
     
  18. anand

    anand Well-Known Member

    Joined:
    Nov 11, 2002
    Messages:
    1,435
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    India
    cPanel Access Level:
    DataCenter Provider
    no mailscanner, only exiscan+clam.
     
  19. Elpie

    Elpie Registered

    Joined:
    Jul 18, 2004
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Me too. Have also got cgi scripts not working - related maybe???
     
  20. delphian

    delphian Member

    Joined:
    Apr 16, 2003
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    FYI, this has not worked for me, although the CWD update worked fine (no errors).
     
Loading...

Share This Page